Get all subscriptions
curl --request GET \
--url https://api-m.sandbox.paypal.com/v1/commerce/billing/subscriptions \
--header 'Authorization: Bearer <token>'{
"subscriptions": [
{
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6b13234",
"external_id": "Subscription_1233",
"plan_code": "Plan-Code-12345",
"billing_time": "CALENDAR",
"status": "ACTIVE",
"start_date": "2025-06-27T20:44:21Z",
"created_at": "2025-07-30T01:54:40Z",
"current_period_start": "2025-07-01T00:00:00Z",
"current_period_end": "2025-07-31T23:59:59Z",
"id": "d9e9d0c0-d672-4299-8b8e-9d20ca20f465"
},
{
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-1751410090",
"external_id": "Subscription_123353453453535-2025-07-01T22",
"plan_code": "Plan-Code-2222",
"billing_time": "CALENDAR",
"status": "ACTIVE",
"start_date": "2025-07-01T22:48:37Z",
"created_at": "2025-07-30T01:54:40Z",
"current_period_start": "2025-07-01T22:48:37Z",
"current_period_end": "2025-07-31T23:59:59Z",
"id": "35a75733-5940-42cc-97ed-1587d2d364e1"
}
],
"metadata": {
"total_count": 24,
"total_pages": 3,
"current_page": 1
}
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "<string>",
"debug_id": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"value": "<string>",
"location": "<string>",
"issue": "<string>",
"description": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Get all subscriptions
GET
/
subscriptions
Get all subscriptions
curl --request GET \
--url https://api-m.sandbox.paypal.com/v1/commerce/billing/subscriptions \
--header 'Authorization: Bearer <token>'{
"subscriptions": [
{
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6b13234",
"external_id": "Subscription_1233",
"plan_code": "Plan-Code-12345",
"billing_time": "CALENDAR",
"status": "ACTIVE",
"start_date": "2025-06-27T20:44:21Z",
"created_at": "2025-07-30T01:54:40Z",
"current_period_start": "2025-07-01T00:00:00Z",
"current_period_end": "2025-07-31T23:59:59Z",
"id": "d9e9d0c0-d672-4299-8b8e-9d20ca20f465"
},
{
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-1751410090",
"external_id": "Subscription_123353453453535-2025-07-01T22",
"plan_code": "Plan-Code-2222",
"billing_time": "CALENDAR",
"status": "ACTIVE",
"start_date": "2025-07-01T22:48:37Z",
"created_at": "2025-07-30T01:54:40Z",
"current_period_start": "2025-07-01T22:48:37Z",
"current_period_end": "2025-07-31T23:59:59Z",
"id": "35a75733-5940-42cc-97ed-1587d2d364e1"
}
],
"metadata": {
"total_count": 24,
"total_pages": 3,
"current_page": 1
}
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "<string>",
"debug_id": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"value": "<string>",
"location": "<string>",
"issue": "<string>",
"description": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Authorizations
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Query Parameters
Page number
Number of records per page
Filter by external customer ID
Example:
"ext_cus_1234567890abcdef"
Filter by plan code
Example:
"plan_1234567890abcdef"
Comma-separated list of statuses
Available options:
ACTIVE, PENDING, CANCELED, TERMINATED Was this page helpful?
⌘I